<div class="container">
	<form class="form" [formGroup]="userForm">
		<mat-form-field appearance="fill" [style.width.px]=327>
			<mat-label>Username</mat-label>
			<input matInput placeholder="Enter username" formControlName="username">
		</mat-form-field>
	
		<mat-form-field appearance="fill" [style.width.px]=327>
			<mat-label>Email</mat-label>
			<input type="email" matInput placeholder="Enter email address" formControlName="email">
		</mat-form-field>
	
		<mat-form-field appearance="fill" [style.width.px]=327>
			<mat-label>Password</mat-label>
			<input matInput type="password" placeholder="Enter password" formControlName="password">
		</mat-form-field>
	
		<mat-form-field appearance="fill" [style.width.px]=327>
			<mat-label>Confirm password</mat-label>
			<input matInput type="password" placeholder="Confirm password" formControlName="confirmpassword">
		</mat-form-field>
	</form>

	<button (click)="onCreateAccountClicked()" mat-raised-button color="primary">Create account</button>
</div>